// { "framework": "Vue" }

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmony imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 76);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var suyunApp = weex.requireModule('AppInfoModule');
exports.default = {
    getBaseUrl: function getBaseUrl() {
        return weex.config.bundleUrl.replace(/\/index\.html$/, '').replace(/\/weex\.html$/, '').replace(/\/dist\/app\.weex\.js$/, '').replace(/\/dist\/detail\.weex\.js$/, '').replace(/\/dist\/appDetail\.weex\.js$/, '').replace(/\/detail\.weex\.js$/, '').replace(/\/appDetail\.weex\.js$/, '').replace(/\/app\.weex\.js$/, '');
    },
    getPlatform: function getPlatform() {
        return weex.config['platform'];
    },
    getEnvironment: function getEnvironment() {
        var domain = weex.config.bundleUrl.replace(/\/index\.html$/, '').replace(/\/weex\.html$/, '').replace(/\/dist\/app\.weex\.js$/, '').replace(/\/dist\/detail\.weex\.js$/, '').replace(/\/dist\/appDetail\.weex\.js$/, '').replace(/\/detail\.weex\.js$/, '').replace(/\/appDetail\.weex\.js$/, '').replace(/\/app\.weex\.js$/, '');
        if (domain.indexOf('static.djtest.cn') > -1) {
            return 'test';
        } else if (domain.indexOf('static.daojia.com') > -1) {
            return 'prod';
        } else {
            return 'local';
        }
    },
    getServeDomain: function getServeDomain() {
        return 'http://wxapp-user-stable.djtest.cn';
        // return 'http://10.37.31.146:30163'
        // return 'http://10.37.33.143:30163'
    },
    formateData: function formateData(arr, obj) {
        var tempArr = [];
        var formateArr = Object.keys(obj);
        for (var i = 0; i < arr.length; i++) {
            var tempObj = {};
            for (var j = 0; j < formateArr.length; j++) {
                var tempStr = formateArr[j];
                tempObj[tempStr] = arr[i][obj[formateArr[j]]];
            }
            tempArr.push(tempObj);
        }
        return tempArr;
    },
    getCurrentBundleUrl: function getCurrentBundleUrl() {
        return weex.config.bundleUrl;
    },
    getCurrentHost: function getCurrentHost() {
        var bundleUrl = weex.config.bundleUrl;
        var array = bundleUrl.split('/');
        var lastObject = array[array.length - 1];
        var result = bundleUrl.substring(0, bundleUrl.length - lastObject.length);
        return result;
    },
    getCurrentPath: function getCurrentPath() {
        var path = 'http://10.253.5.49:8086/dist/';
        var isIOS = weex.config.env['platform'] === 'iOS';
        if (isIOS && weex.config.env['jshost']) {
            path = weex.config.env['jshost'];
        } else if (weex.config['jshost']) {
            path = weex.config['jshost'];
        }
        return path;
    }
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _tool = __webpack_require__(0);

var _tool2 = _interopRequireDefault(_tool);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var API = __webpack_require__(2);
var domain = _tool2.default.getBaseUrl();
var navigator = weex.requireModule('navigator');
var modal = weex.requireModule('ModalModule');
var stream = weex.requireModule('stream');
var suyunApp = weex.requireModule('AppInfoModule');

exports.default = {
    data: function data() {
        return {
            data: {}
        };
    },

    methods: {
        setMutations: function setMutations(key, value) {
            this.$store.commit(key, value);
        },
        parseParams: function parseParams(params) {
            var str = '';
            if (!params) return '';
            var len = Object.keys(params).length;
            for (var i in params) {
                try {
                    str += i + '=' + params[i] + '&';
                } catch (e) {
                    console.warn(e);
                }
            }
            return '?' + str.substr(0, str.length - 1);
        },
        getCookie: function getCookie(data) {
            var cookie = '';
            var djfrtuid = data['djSuyunUID'];
            var djfrttok = data['userToken'];
            var djfrtexp = data['djSuyunExpiryDate'];
            var dj_psuid = data['djPSUID'];
            var dj_pstoken = data['djPSToken'];
            var dj_pstokenexp = data['djPSTokenExp'];
            if (djfrtuid) {
                cookie += 'djfrtuid=' + djfrtuid + ";";
            }
            if (djfrttok) {
                cookie += 'djfrttok=' + djfrttok + ";";
            }
            if (djfrtexp) {
                cookie += 'djfrtexp=' + djfrtexp + ";";
            }
            if (dj_psuid) {
                cookie += 'dj_psuid=' + dj_psuid + ";";
            }
            if (dj_pstoken) {
                cookie += 'dj_pstoken=' + dj_pstoken + ";";
            }
            if (dj_pstokenexp) {
                cookie += 'dj_pstokenexp=' + dj_pstokenexp + ";";
            }
            return cookie;
        },
        getTerminal: function getTerminal() {
            if (weex.config.env['platform'] === 'iOS') {
                return '2';
            } else {
                return '1';
            }
        },
        getHost: function getHost(data) {
            if (data['host']) {
                return data['host'];
            }
        },
        fetchGet: function fetchGet(url, obj) {
            var this1 = this;

            return new Promise(function (resolve, reject) {
                var str = this1.parseParams(obj);

                var this2 = this1;
                suyunApp.getAppInfo(function (event) {
                    try {
                        var objEvent = event;
                        var data = objEvent.data;
                        var reqUrl = this2.getHost(data) + url;
                        reqUrl += str;
                        var cityid;
                        if (data['selectCityId']) {
                            cityid = data['selectCityId'];
                        } else {
                            cityid = data['cityId'];
                        }
                        stream.fetch({
                            method: 'GET',
                            url: reqUrl,
                            type: 'json',
                            timeout: 60000, //60s
                            headers: {
                                "Cookie": this2.getCookie(data),
                                "terminal": this2.getTerminal(),
                                "appVersion": data['version'],
                                "cityId": cityid
                            }
                        }, function (response) {
                            if (parseInt(response.status) == 200) {
                                resolve(response.data);
                            } else {
                                reject(response);
                            }
                        }, function () {});
                    } catch (error) {}
                });
            });
        },
        fetchPost: function fetchPost(domin, url, obj) {
            var this1 = this;
            var reqUrl = domin + url;

            return new Promise(function (resolve, reject) {
                var this2 = this1;
                suyunApp.getAppInfo(function (event) {
                    try {
                        var objEvent = event;
                        var data = objEvent.data;
                        stream.fetch({
                            method: 'POST',
                            url: reqUrl,
                            type: 'json',
                            timeout: 60000, //20s
                            headers: {
                                "Cookie": this2.getCookie(data)
                            },
                            body: JSON.stringify(obj)
                        }, function (response) {
                            if (response.status == 200) {
                                resolve(response.data);
                            } else {
                                reject(response);
                            }
                        }, function () {});
                    } catch (error) {}
                });
            });
        },
        getAdvertList: function getAdvertList(obj) {
            return this.fetchGet(API.getAdvertList, obj);
        },
        getHomeInfo: function getHomeInfo(obj) {
            return this.fetchGet(API.getHomeInfoNew, obj); //getHomeInfo=>getHomeInfoNew
        },
        getAnnouncementList: function getAnnouncementList(obj) {
            return this.fetchGet(API.getAnnouncementList, obj);
        },
        getRead: function getRead(obj) {
            return this.fetchGet(API.getRead, obj);
        },
        getMoreAnnmentlist: function getMoreAnnmentlist(obj) {
            return this.fetchGet(API.getmoreannmentlist, obj);
        },
        getHistoryOrderList: function getHistoryOrderList(obj) {
            return this.fetchGet(API.getHistoryOrderList, obj);
        },
        getAssignHistoryOrderList: function getAssignHistoryOrderList(obj) {
            return this.fetchGet(API.getAssignHistoryOrderList, obj);
        },
        getMyMenuList: function getMyMenuList(obj) {
            return this.fetchGet(API.getMyMenuList, obj);
        },
        getMyInfo: function getMyInfo(obj) {
            return this.fetchGet(API.getMyInfo, obj);
        },
        getNearbyCarsList: function getNearbyCarsList(obj) {
            return this.fetchGet(API.getNearbyCarsList, obj);
        },
        getMonthList: function getMonthList(obj) {
            return this.fetchGet(API.getMonthList, obj);
        },
        getFavoriteDriversList: function getFavoriteDriversList(obj) {
            return this.fetchGet(API.getFavoriteDriversList, obj);
        },
        getFictitiousphone: function getFictitiousphone(obj) {
            return this.fetchGet(API.getFictitiousphone, obj);
        },
        addFavoritedriver: function addFavoritedriver(obj) {
            return this.fetchGet(API.addFavoritedriver, obj);
        },
        getWxShare: function getWxShare(obj) {
            return this.fetchGet(API.getWxShare, obj);
        },
        getCarTypeList: function getCarTypeList(obj) {
            return this.fetchGet(API.getCarTypeList, obj);
        },
        getEstimatePrice: function getEstimatePrice(obj) {
            return this.fetchGet(API.getEstimatePrice, obj);
        },
        getCreaterOrder: function getCreaterOrder(obj) {
            return this.fetchGet(API.getCreaterOrder, obj);
        },
        getCreatebroadcastorder: function getCreatebroadcastorder(obj) {
            return this.fetchGet(API.getCreatebroadcastorder, obj);
        },
        getOrderStatus: function getOrderStatus(obj) {
            return this.fetchGet(API.getOrderStatus, obj);
        },
        getBroadcastInprogress: function getBroadcastInprogress(obj) {
            return this.fetchGet(API.getBroadcastInprogress, obj);
        },
        getBroadcastChoosedriverlist: function getBroadcastChoosedriverlist(obj) {
            return this.fetchGet(API.getBroadcastChoosedriverlist, obj);
        },
        getChoosedriver: function getChoosedriver(obj) {
            return this.fetchGet(API.getChoosedriver, obj);
        },
        getUsercancel: function getUsercancel(obj) {
            return this.fetchGet(API.getUsercancel, obj);
        },
        addInvitedriver: function addInvitedriver(obj) {
            return this.fetchGet(API.addInvitedriver, obj);
        },
        getDriverinfo: function getDriverinfo(obj) {
            return this.fetchGet(API.getDriverinfo, obj);
        },
        nav: function nav(url) {
            this.$router.push(url);
        },
        navNewWeb: function navNewWeb(url) {
            var tempUrl = '';
            if (_tool2.default.getEnvironment() === 'prod' || _tool2.default.getEnvironment() === 'test') {
                tempUrl = domain + '/' + url;
            }
            if (_tool2.default.getEnvironment() === 'local') {
                tempUrl = domain + '/dist/' + url;
            }

            navigator.push({
                url: tempUrl,
                animated: "true",
                type: 3
            }, function (event) {
                //  modal.toast({ message: 'callback: ' + domain+'/dist/'+url })
            });
        },
        jump: function jump(event, url, params) {
            if (params) {
                var obj = { url: encodeURIComponent(url) };
                Object.assign(obj, params);
                this.$router.push({ path: event, query: obj });
            } else {
                this.$router.push({ path: event, query: { url: encodeURIComponent(url) } });
            }
        },
        jumpNew: function jumpNew(params) {
            this.$router.push(params);
        },
        delFavoriteDriver: function delFavoriteDriver(obj) {
            return this.fetchGet(API.delFavoriteDriver, obj);
        },
        getLocationInfo: function getLocationInfo(obj) {
            return this.fetchGet(API.getLocationInfo, obj);
        },
        getMyPublishlist: function getMyPublishlist(obj) {
            return this.fetchGet(API.getMyPublishlist, obj);
        },
        deleteMyPublish: function deleteMyPublish(obj) {
            return this.fetchGet(API.deleteMyPublish, obj);
        },
        getMessageList: function getMessageList(obj) {
            return this.fetchGet(API.getMessageList, obj);
        },
        getCarList: function getCarList(obj) {
            return this.fetchGet(API.getCarList, obj);
        },
        getPublishLabelList: function getPublishLabelList(obj) {
            return this.fetchGet(API.getPublishLabelList, obj);
        },
        getDriverServiceLabelList: function getDriverServiceLabelList(obj) {
            return this.fetchGet(API.getDriverServiceLabelList, obj);
        },
        publishNeedsCreate: function publishNeedsCreate(obj) {
            return this.fetchGet(API.publishNeedsCreate, obj);
        },
        publishlabellist: function publishlabellist(obj) {
            return this.fetchGet(API.publishlabellist, obj);
        },
        neardriverlist: function neardriverlist(obj) {
            return this.fetchGet(API.neardriverlist, obj);
        },
        lookCarGetDriverInfo: function lookCarGetDriverInfo(obj) {
            return this.fetchGet(API.lookCarGetDriverInfo, obj);
        }
    },
    created: function created() {}
};

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

var g;

// This works in non-strict mode
g = (function() {
	return this;
})();

try {
	// This works if eval is allowed (see CSP)
	g = g || Function("return this")() || (1,eval)("this");
} catch(e) {
	// This works if the window reference is available
	if(typeof window === "object")
		g = window;
}

// g can still be undefined, but nothing to do about it...
// We return undefined, instead of nothing here, so it's
// easier to handle this case. if(!global) { ...}

module.exports = g;


/***/ }),

/***/ 104:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = __webpack_require__(11);

var _utils2 = _interopRequireDefault(_utils);

var _config = __webpack_require__(12);

var _makeOrderTip = __webpack_require__(85);

var _makeOrderTip2 = _interopRequireDefault(_makeOrderTip);

var _makeOrderDriverInfo = __webpack_require__(83);

var _makeOrderDriverInfo2 = _interopRequireDefault(_makeOrderDriverInfo);

var _makeOrderPrice = __webpack_require__(84);

var _makeOrderPrice2 = _interopRequireDefault(_makeOrderPrice);

var _nav = __webpack_require__(3);

var _nav2 = _interopRequireDefault(_nav);

var _tool = __webpack_require__(0);

var _tool2 = _interopRequireDefault(_tool);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var storage = weex.requireModule('storage');
var MapModule = weex.requireModule('MapModule');
var OrderModule = weex.requireModule('OrderModule');
var suyunApp = weex.requireModule('AppInfoModule');
var navigator = weex.requireModule('navigator');
var logModule = weex.requireModule('LogModule');
var modal = weex.requireModule('ModalModule');

exports.default = {
    components: {
        MakeOrderTip: _makeOrderTip2.default,
        MakeOrderDriverInfo: _makeOrderDriverInfo2.default,
        MakeOrderPrice: _makeOrderPrice2.default,
        Nav: _nav2.default
    },
    data: function data() {
        return {
            smallScrollerHeight: {
                height: ''
            },
            androidNavigation: {
                height: ''
            },
            title: '',
            maxLength: 50,
            driverInfo: '',
            userInfo: '',
            startLocation: {
                lat: '',
                lng: '',
                name: '',
                address: '',
                district: '',
                province: '',
                city: ''
            },
            endLocation: {
                lat: '',
                lng: '',
                name: '',
                address: '',
                district: '',
                province: '',
                city: ''
            },
            write: "",
            carList: [],
            carType: {
                carTypeName: "",
                carTypeId: ''
            },
            showLocationTipImage: false,
            lastEndLocation: {
                lat: '',
                lng: '',
                name: '',
                address: '',
                district: '',
                province: '',
                city: ''
            },
            estimatePrice: '',
            makeOrderIng: false
        };
    },

    methods: {
        focus: function focus() {
            logModule.clickEvent(this.isMycars() ? 'add_notes' : 'fill_in_the_note', {
                page_name: this.isMycars() ? 'xiadanye' : 'app_nearby_next_page',
                page_type: this.isMycars() ? 'app_my_team' : 'fujin'
            }, function (resp) {});
        },
        isBroadcastOrder: function isBroadcastOrder() {
            // 有司机信息  私人单
            if (this.driverInfo) {
                return false;
            } else {
                return true;
            }
        },

        // 是否是我的车库
        isMycars: function isMycars() {
            // 附近
            if (this.driverInfo.entranceSource === '2') {
                return false;
            } else {
                return true;
            }
        },
        handleBack: function handleBack() {
            logModule.clickEvent('return', {
                page_name: this.isMycars() ? 'xiadanye' : 'app_nearby_next_page',
                page_type: this.isMycars() ? 'app_my_team' : 'fujin'
            }, function (resp) {});
        },
        canChangePrice: function canChangePrice() {
            if (!this.driverInfo) {
                return true;
            }
            if (this.driverInfo && this.driverInfo.level === 'E') {
                return false;
            } else {
                return true;
            }
            return false;
        },
        placeholder: function placeholder() {},

        // 选址车型
        selectCarTypeClick: function selectCarTypeClick() {
            var _this = this;

            if (this.carList.length <= 0) {
                this.getCarList(true);
                return;
            }
            var arr = [];
            for (var i = 0; i < this.carList.length; i++) {
                var obj = this.carList[i];
                arr.push(obj.carTypeName);
            }

            var that = this;
            OrderModule.selectCarTypeWithParam({
                data: arr
            }, function (resp) {
                try {
                    var objEvent = resp;
                    var data = objEvent.data;
                    var selectIndex = data['selectIndex'];
                    var _obj = that.carList[selectIndex];
                    that.carType.carTypeName = _obj.carTypeName;
                    that.carType.carTypeId = _obj.carTypeId;
                    that.getOrderEstimatePrice();

                    logModule.clickEvent('select_model', {
                        page_name: _this.isMycars() ? 'xiadanye' : 'app_nearby_next_page',
                        page_type: _this.isMycars() ? 'app_my_team' : 'fujin',
                        car_type: that.carType
                    }, function (resp) {});
                } catch (error) {}
            });
        },

        // 关闭图片
        colseLocationTipImage: function colseLocationTipImage() {
            this.showLocationTipImage = false;
        },

        // 点击上次记录的目的地
        selectLastLocation: function selectLastLocation() {
            this.endLocation = this.lastEndLocation;
            this.showLocationTipImage = false;
            this.getOrderEstimatePrice();
        },

        // 获取上个页面传递的用户信息
        getDriverInfo: function getDriverInfo() {
            var that = this;
            storage.getItem('homepageData', function (event) {
                if (event.data) {
                    var obj = JSON.parse(event.data);
                    that.driverInfo = {
                        driverId: obj['driverId'],
                        realName: obj['realName'],
                        headImage: obj['headImage'],
                        carNumber: obj['carNumber'],
                        carTypeId: obj['carTypeId'],
                        carTypeName: obj['carTypeName'],
                        distance: obj['distance'],
                        type: obj['type'],
                        level: obj['level'],
                        status: obj['status'],
                        uid: obj['uid'],
                        sid: obj['sid'],
                        entranceSource: obj['entranceSource']
                    };
                    that.carType.carTypeName = obj['carTypeName'];
                    that.carType.carTypeId = obj['carTypeId'];
                    // storage.removeItem('homepageData', (resp) =>{

                    // })
                    that.title = '下单';
                } else {
                    that.title = '广播订单';
                    that.getCarList();
                }
                that.getLocation();
            });
        },

        //获取用户信息
        getUserInfo: function getUserInfo() {
            var that = this;
            suyunApp.getAppInfo(function (event) {
                try {
                    var objEvent = event;
                    var data = objEvent.data;
                    that.userInfo = data;
                    //获取
                    that.getDriverInfo();
                } catch (error) {
                    that.getDriverInfo();
                }
            });
        },

        // 选址起始地
        selectStartLocation: function selectStartLocation() {
            var this1 = this;
            //  let cityName = ''
            //  let cityId = ''
            //  if(!this.isMycars()){
            //      //附近车增加cityName 在当前城市定位
            //      cityName = this.userInfo['cityName']
            //      cityId = this.userInfo['cityId']
            //  }
            MapModule.selectLocation({
                type: '0'
                //    cityName:cityName,
                //    cityId:cityId
            }, function (resp) {
                try {
                    var objEvent = resp;
                    var location = objEvent.data;
                    this1.startLocation.lat = location['lat'];
                    this1.startLocation.lng = location['lng'];
                    this1.startLocation.name = location['addrName'];
                    this1.startLocation.address = location['addrDetail'];
                    this1.getOrderEstimatePrice();
                } catch (error) {}
            });
        },

        // 选址目的地
        selectLocationEnd: function selectLocationEnd() {
            this.lastEndLocation = {};
            this.showLocationTipImage = false;
            var this1 = this;
            MapModule.selectLocation({
                type: '1'
            }, function (resp) {
                try {
                    var objEvent = resp;
                    var location = objEvent.data;
                    this1.endLocation.lat = location['lat'];
                    this1.endLocation.lng = location['lng'];
                    this1.endLocation.name = location['addrName'];
                    this1.endLocation.address = location['addrDetail'];
                    var objStr = JSON.stringify(this1.endLocation);
                    storage.setItem('makeOrderEndLocation', objStr, function (event) {});
                    this1.getOrderEstimatePrice();
                } catch (error) {}
            });
        },

        // 上次选择的目的地
        getLastEndLocationInfo: function getLastEndLocationInfo() {
            var that = this;
            storage.getItem('makeOrderEndLocation', function (event) {
                try {
                    var obj = JSON.parse(event.data);
                    if (obj['name'].length) {
                        that.showLocationTipImage = true;
                    }
                    that.lastEndLocation = obj;
                    // modal.toast({message: '111' + JSON.stringify(that.lastEndLocation), 'duration':3})
                } catch (error) {}
            });
        },

        // 获取当前地址
        getLocation: function getLocation() {
            var this1 = this;
            //如果选择城市和定位城市是一个的话，直接逆地理位置
            //如果选择城市和当前定位城市不是一个城市， 直接拿选择城市城市进行poi搜索 市政府，得到第一条
            //即为默认城市地址
            var cityId = this.userInfo['cityId'];
            var selectId = this.userInfo['selectCityId'];

            if (selectId !== cityId && this.isMycars()) {
                this.getPois();
            } else {
                MapModule.getLocation(function (event) {
                    try {
                        var objEvent = event;
                        var location = objEvent.data;
                        var lat = location['lat'];
                        var lng = location['lng'];
                        this1.startLocation.lat = lat;
                        this1.startLocation.lng = lng;
                        this1.getCityInfoWithLocation(lat, lng);
                    } catch (error) {}
                });
            }
        },
        getPois: function getPois() {
            //搜索poi
            var this1 = this;
            var selectCityName = this.userInfo['selectCityName'];
            if (selectCityName.indexOf("市") == -1) {
                selectCityName = selectCityName + "市";
            }
            MapModule.getPois({
                keyword: selectCityName + '政府',
                city: selectCityName
            }, function (resp) {
                try {
                    var objEvent = resp;
                    var pois = objEvent.data.pois;
                    var poiArray = JSON.parse(pois);
                    var firstPoi = poiArray[0];
                    this1.startLocation.name = firstPoi['name'];
                    this1.startLocation.address = firstPoi['address'];
                    this1.startLocation.district = firstPoi['district'];
                    this1.startLocation.province = firstPoi['province'];
                    this1.startLocation.city = firstPoi['city'];
                    this1.startLocation.lat = firstPoi['location']['latitude'];
                    this1.startLocation.lng = firstPoi['location']['longitude'];
                    this1.getOrderEstimatePrice();
                } catch (error) {}
            });
        },
        getCityInfoWithLocation: function getCityInfoWithLocation(lat, lng) {
            var this1 = this;
            MapModule.getCityInfoWithLocation({
                lat: lat,
                lng: lng
            }, function (resp) {
                try {
                    var objEvent = resp;
                    var location = objEvent.data;
                    this1.startLocation.name = location['name'];
                    this1.startLocation.address = location['address'];
                    this1.startLocation.district = location['district'];
                    this1.startLocation.province = location['province'];
                    this1.startLocation.city = location['city'];
                    this1.getOrderEstimatePrice();
                } catch (error) {}
            });
        },

        // 车型列表
        getCarList: function getCarList(selectCarType) {

            var that = this;
            this.getCarTypeList({}).then(function (data) {
                if (data.code === 0 && data['data']) {
                    that.carList = data['data'];
                    if (that.carList.length) {
                        var carInfo = that.carList[0];
                        that.carType.carTypeName = carInfo.carTypeName;
                        that.carType.carTypeId = carInfo.carTypeId;

                        if (selectCarType) {
                            that.selectCarTypeClick();
                        }
                    }
                } else {
                    if (selectCarType) {
                        var message = data['codeMsg'];
                        modal.toast({ message: message ? message : '获取车型信息失败', 'duration': 3 });
                    }
                }
            });
        },

        // 预估价格
        getOrderEstimatePrice: function getOrderEstimatePrice() {
            if (!this.carType.carTypeId) {
                return;
            }
            if (!this.startLocation.lat || !this.startLocation.lng || !this.startLocation.name) {
                return;
            }
            if (!this.endLocation.lat || !this.endLocation.lng || !this.endLocation.name) {
                return;
            }

            var that = this;
            var start = {
                latitude: this.startLocation.lat,
                longtitude: this.startLocation.lng
            };
            var end = [{
                latitude: this.endLocation.lat,
                longtitude: this.endLocation.lng
            }];
            start = encodeURIComponent(JSON.stringify(start));
            end = encodeURIComponent(JSON.stringify(end));
            var param = {
                carTypeId: this.carType.carTypeId,
                startPoint: start,
                endPoints: end
            };
            this.getEstimatePrice(param).then(function (data) {
                var estimateData = data['data'];
                if (estimateData) {
                    that.estimatePrice = estimateData['totalPrice'];
                }
            });
        },

        // 下单
        makeOrderClick: function makeOrderClick(price, selectProtocol) {

            //没有起始地 提示
            if (!this.startLocation.lat || !this.startLocation.lng || !this.startLocation.name) {
                modal.toast({ message: "请选择起始地", 'duration': 3 });
                return;
            }
            if (!this.endLocation.lat || !this.endLocation.lng || !this.endLocation.name) {
                modal.toast({ message: "请选择目的地", 'duration': 3 });
                return;
            }

            if (price.length <= 0) {
                if (this.canChangePrice()) {
                    modal.toast({ message: "请输入订单价格", 'duration': 3 });
                    return;
                }
            }
            if (!selectProtocol) {
                modal.toast({ message: "请勾选服务协议", 'duration': 3 });
                return;
            }

            // 有用户信息，下私人订单     无用户信息，下广播订单
            if (this.driverInfo) {
                this.makeUserOrder(price);
            } else {
                this.makeBroadcasOrder(price);
            }
        },
        //广播订单 下单
        makeBroadcasOrder: function makeBroadcasOrder(price) {
            if (this.makeOrderIng) {
                // 正在请求
                return;
            }
            var param = this.getMakeOrderParam(price);
            param['entranceSource'] = '1';
            var that = this;
            this.makeOrderIng = true;

            modal.loading({
                show: '1'
            }, function (resp) {});
            this.getCreatebroadcastorder(param).then(function (data) {
                var that1 = that;
                setTimeout(function () {
                    that1.makeOrderIng = false;
                }, 1000);
                modal.loading({
                    show: '0'
                }, function (resp) {});
                //成功
                if (data.code === 0) {
                    var orderData = data['data'];
                    if (orderData) {
                        // this.currentOrder = {
                        //   createTime: (new Date()).getTime() - 10000,
                        //   orderId:'234',
                        //   striveState: 1
                        // }
                        // 默认300秒 
                        var orderInfo = {
                            createTime: new Date().getTime(),
                            orderId: orderData['orderId'],
                            striveState: '0'
                        };
                        that.makeOrderSuccess(orderData['orderId']);
                        var objStr = JSON.stringify(orderInfo);
                        storage.setItem('makeBroadcasOrder_orderId', objStr, function (event) {});

                        navigator.push({
                            url: _tool2.default.getCurrentPath() + "makeOrderDispatch.weex.js",
                            animated: 'true',
                            type: 2,
                            key: 'makeOrderDispatch',
                            closePage: 1
                        }, function (event) {});
                    }
                }
                var message = data['codeMsg'];
                if (message) {
                    modal.toast({ message: message, 'duration': 3 });
                }
            }).catch(function (err) {
                var that1 = that;
                setTimeout(function () {
                    that1.makeOrderIng = false;
                    modal.loading({
                        show: '0'
                    }, function (resp) {});
                    modal.toast({ message: _config.NETERRO, 'duration': 3 });
                }, 1000);
            });
        },

        //私人订单 下单
        makeUserOrder: function makeUserOrder(price) {
            if (this.makeOrderIng) {
                // 正在请求
                return;
            }
            var param = this.getMakeOrderParam(price);
            param['driverId'] = this.driverInfo.level === 'E' ? this.driverInfo.sid : this.driverInfo.uid;
            param['driverType'] = this.driverInfo.level === 'E' ? 1 : 0;
            param['entranceSource'] = this.driverInfo.entranceSource;

            var that = this;
            this.makeOrderIng = true;
            modal.loading({
                show: '1'
            }, function (resp) {});
            this.getCreaterOrder(param).then(function (data) {
                var that1 = that;
                setTimeout(function () {
                    that1.makeOrderIng = false;
                }, 1000);
                modal.loading({
                    show: '0'
                }, function (resp) {});
                //成功
                if (data.code === 0) {
                    var orderData = data['data'];
                    if (orderData) {
                        var orderId = orderData['orderId'];
                        that.makeOrderSuccess(orderId);
                        storage.setItem('makeOrder_orderId', orderId, function (event) {});

                        navigator.push({
                            url: _tool2.default.getCurrentPath() + "orderStatus.weex.js",
                            animated: 'true',
                            type: 2,
                            key: 'orderStatus',
                            closePage: 1
                        }, function (event) {});
                        modal.toast({ message: '下单成功', 'duration': 3 });
                    }
                } else {
                    var message = data['codeMsg'];
                    modal.toast({ message: message ? message : '下单失败', 'duration': 3 });
                }
            }).catch(function (err) {
                var that1 = that;
                setTimeout(function () {
                    that1.makeOrderIng = false;
                    modal.loading({
                        show: '0'
                    }, function (resp) {});
                    modal.toast({ message: _config.NETERRO, 'duration': 3 });
                }, 1000);
            });
        },

        //下单参数
        getMakeOrderParam: function getMakeOrderParam(price) {
            var start = {
                sLat: this.startLocation.lat,
                sLng: this.startLocation.lng,
                addrName: this.startLocation.name,
                addressDetail: this.startLocation.address
            };

            var end = [];
            end[0] = {
                sLat: this.endLocation.lat,
                sLng: this.endLocation.lng,
                addrName: this.endLocation.name,
                addressDetail: this.endLocation.address
            };

            start = encodeURIComponent(JSON.stringify(start));
            end = encodeURIComponent(JSON.stringify(end));

            var timestamp = new Date().getTime();
            var param = {
                carType: this.carType.carTypeId,
                sender: start,
                receiver: end,
                isReserved: "false",
                msgToDriver: encodeURIComponent(this.write),
                cityId: this.userInfo['cityId'],
                serviceTime: timestamp,
                userOfferPrice: price
            };
            return param;
        },
        makeOrderSuccess: function makeOrderSuccess(orderId) {
            logModule.clickEvent(this.isMycars() ? 'order_button' : 'place_an_order_now', {
                page_name: this.isMycars() ? 'xiadanye' : 'app_nearby_next_page',
                page_type: this.isMycars() ? 'app_my_team' : 'fujin',
                order_id: orderId
            }, function (resp) {});
        }
    },
    computed: {
        isIphoneX: function isIphoneX() {
            var isIOS = weex.config.env['platform'] === 'iOS';
            var height = weex.config.env['deviceHeight'] / weex.config.env['scale'] >= 812;
            return height && isIOS;
        }
    },
    created: function created() {
        var _this2 = this;

        // this = this
        var isIOS = weex.config.env['platform'] === 'iOS';
        var stateBarHeight = 88 + (weex.config.env['stateBarHeight'] ? weex.config.env['stateBarHeight'] : 0);
        var screenHeight = weex.config.env['deviceHeight'] ? weex.config.env['deviceHeight'] : 0;
        var screenWidth = weex.config.env['deviceWidth'] ? weex.config.env['deviceWidth'] : 0;
        var scale = weex.config.env['scale'] ? weex.config.env['scale'] : 0;
        var androidHeight = weex.config.androidNavigateHeight > 0 ? weex.config.androidNavigateHeight : 0;
        if (isIOS) {
            this.smallScrollerHeight.height = (screenHeight / scale * 2 - stateBarHeight - androidHeight * 2) * (375 / (screenWidth / scale));
        } else {
            this.smallScrollerHeight.height = _utils2.default.env.getPageHeight();
        }
        // this.getDriverInfo()
        this.getUserInfo();
        this.getLastEndLocationInfo();

        setTimeout(function () {
            logModule.nativeLoad(_this2.isMycars() ? 'xiadanyeliulan' : 'nearby_xiadanye', {
                page_name: _this2.isMycars() ? 'xiadanye' : 'app_nearby_next_page',
                page_type: _this2.isMycars() ? 'app_my_team' : 'fujin'
            }, function (resp) {});
        }, 1000);
    }
};

/***/ }),

/***/ 105:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var modal = weex.requireModule('ModalModule');
exports.default = {
    data: function data() {
        return {};
    },

    props: ['aa'],
    methods: {},
    computed: {},
    created: function created() {}
};

/***/ }),

/***/ 106:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var modal = weex.requireModule('ModalModule');
var navigator = weex.requireModule('navigator');
exports.default = {
    data: function data() {
        return {
            height: {
                height: ''
            },
            money: '',
            select: true
        };
    },

    props: {
        canChangePrice: {
            type: Boolean,
            default: false
        },
        estimatePrice: {
            type: String,
            default: ''
        },
        cankaoPrice: {
            type: String,
            default: ''
        }
    },
    methods: {
        selectClick: function selectClick() {
            this.select = !this.select;
        },
        selectImage: function selectImage() {
            return this.select ? "http://syWeex/weex_makeorder_select" : "http://syWeex/weex_makeorder_no_select";
        },
        openProtocol: function openProtocol() {
            navigator.push({
                url: "https://static.daojia.com/sy/minisite/protocol/protocolsyt/index.html",
                animated: 'true',
                type: 3
            }, function (event) {});
        },
        clickOrder: function clickOrder() {

            this.$emit('makeOrderClick', this.estimatePrice, this.select);
        }
    },
    computed: {},
    created: function created() {
        // this.height.height = 350 + (weex.config.env['safeAreaHeight'] ? weex.config.env['safeAreaHeight'] : 0)
    }
};

/***/ }),

/***/ 107:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//

exports.default = {
    data: function data() {
        return {};
    },

    methods: {},
    computed: {},
    created: function created() {}
};

/***/ }),

/***/ 11:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_url_parse__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_url_parse___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_url_parse__);
/**
 * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
 * Created by Tw93 on 17/11/01
 */



const Utils = {
  UrlParser: __WEBPACK_IMPORTED_MODULE_0_url_parse___default.a,
  _typeof (obj) {
    return Object.prototype.toString.call(obj).slice(8, -1).toLowerCase();
  },
  isPlainObject (obj) {
    return Utils._typeof(obj) === 'object';
  },
  isString (obj) {
    return typeof (obj) === 'string';
  },
  isNonEmptyArray (obj = []) {
    return obj && obj.length > 0 && Array.isArray(obj) && typeof obj !== 'undefined';
  },
  isObject (item) {
    return (item && typeof item === 'object' && !Array.isArray(item));
  },
  isEmptyObject (obj) {
    return Object.keys(obj).length === 0 && obj.constructor === Object;
  },
  decodeIconFont (text) {
    // 正则匹配 图标和文字混排 eg: 我去上学校&#xe600;,天天不&#xe600;迟到
    const regExp = /&#x[a-z|0-9]{4,5};?/g;
    if (regExp.test(text)) {
      return text.replace(new RegExp(regExp, 'g'), function (iconText) {
        const replace = iconText.replace(/&#x/, '0x').replace(/;$/, '');
        return String.fromCharCode(replace);
      });
    } else {
      return text;
    }
  },
  mergeDeep (target, ...sources) {
    if (!sources.length) return target;
    const source = sources.shift();
    if (Utils.isObject(target) && Utils.isObject(source)) {
      for (const key in source) {
        if (Utils.isObject(source[key])) {
          if (!target[key]) {
            Object.assign(target, {
              [key]: {}
            });
          }
          Utils.mergeDeep(target[key], source[key]);
        } else {
          Object.assign(target, { [key]: source[key] });
        }
      }
    }
    return Utils.mergeDeep(target, ...sources);
  },
  appendProtocol (url) {
    if (/^\/\//.test(url)) {
      const {
        bundleUrl
      } = weex.config;
      return `http${/^https:/.test(bundleUrl) ? 's' : ''}:${url}`;
    }
    return url;
  },
  encodeURLParams (url) {
    const parsedUrl = new __WEBPACK_IMPORTED_MODULE_0_url_parse___default.a(url, true);
    return parsedUrl.toString();
  },
  goToH5Page (jumpUrl, animated = false, callback = null) {
    const Navigator = weex.requireModule('navigator');
    const jumpUrlObj = new Utils.UrlParser(jumpUrl, true);
    const url = Utils.appendProtocol(jumpUrlObj.toString());
    Navigator.push({
      url: Utils.encodeURLParams(url),
      animated: animated.toString()
    }, callback);
  },
  env: {
    isTaobao () {
      const { appName } = weex.config.env;
      return /(tb|taobao|淘宝)/i.test(appName);
    },
    isTrip () {
      const { appName } = weex.config.env;
      return appName === 'LX';
    },
    isBoat () {
      const { appName } = weex.config.env;
      return appName === 'Boat' || appName === 'BoatPlayground';
    },
    isWeb () {
      const { platform } = weex.config.env;
      return typeof (window) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS () {
      const { platform } = weex.config.env;
      return platform.toLowerCase() === 'ios';
    },
    /**
     * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
     * @returns {boolean}
     */
    isIPhoneX () {
      const { deviceHeight } = weex.config.env;
      if (Utils.env.isWeb()) {
        return typeof window !== undefined && window.screen && window.screen.width && window.screen.height 
        && ((parseInt(window.screen.width, 10) === 375) && (parseInt(window.screen.height, 10) === 812)
        || (parseInt(window.screen.width, 10) === 414) && (parseInt(window.screen.height, 10) === 896));
      }
      return Utils.env.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight === 1792 || deviceHeight === 1624);
    },
    isAndroid () {
      const { platform } = weex.config.env;
      return platform.toLowerCase() === 'android';
    },
    isAlipay () {
      const { appName } = weex.config.env;
      return appName === 'AP';
    },
    isTmall () {
      const { appName } = weex.config.env;
      return /(tm|tmall|天猫)/i.test(appName);
    },
    isAliWeex () {
      return Utils.env.isTmall() || Utils.env.isTrip() || Utils.env.isTaobao();
    },
    /**
     * 获取weex屏幕真实的设置高度，需要减去导航栏高度
     * @returns {Number}
     */
    getPageHeight () {
      const { env } = weex.config;
      const navHeight = Utils.env.isWeb() ? 0 : (Utils.env.isIPhoneX() ? 176 : 132);
      return env.deviceHeight / env.deviceWidth * 750 - navHeight;
    },
    /**
     * 获取weex屏幕真实的设置高度
     * @returns {Number}
     */
    getScreenHeight () {
      const { env } = weex.config;
      return env.deviceHeight / env.deviceWidth * 750;
    }
  },

  /**
   * 版本号比较
   * @memberOf Utils
   * @param currVer {string}
   * @param promoteVer {string}
   * @returns {boolean}
   * @example
   *
   * const { Utils } = require('@ali/wx-bridge');
   * const { compareVersion } = Utils;
   * console.log(compareVersion('0.1.100', '0.1.11')); // 'true'
   */
  compareVersion (currVer = '0.0.0', promoteVer = '0.0.0') {
    if (currVer === promoteVer) return true;
    const currVerArr = currVer.split('.');
    const promoteVerArr = promoteVer.split('.');
    const len = Math.max(currVerArr.length, promoteVerArr.length);
    for (let i = 0; i < len; i++) {
      const proVal = ~~promoteVerArr[i];
      const curVal = ~~currVerArr[i];
      if (proVal < curVal) {
        return true;
      } else if (proVal > curVal) {
        return false;
      }
    }
    return false;
  },
  /**
   * 分割数组
   * @param arr 被分割数组
   * @param size 分割数组的长度
   * @returns {Array}
   */
  arrayChunk (arr = [], size = 4) {
    let groups = [];
    if (arr && arr.length > 0) {
      groups = arr.map((e, i) => {
        return i % size === 0 ? arr.slice(i, i + size) : null;
      }).filter(e => {
        return e;
      });
    }
    return groups;
  },
  /*
   * 截断字符串
   * @param str 传入字符串
   * @param len 截断长度
   * @param hasDot 末尾是否...
   * @returns {String}
   */
  truncateString (str, len, hasDot = true) {
    let newLength = 0;
    let newStr = '';
    let singleChar = '';
    const chineseRegex = /[^\x00-\xff]/g;
    const strLength = str.replace(chineseRegex, '**').length;
    for (let i = 0; i < strLength; i++) {
      singleChar = str.charAt(i).toString();
      if (singleChar.match(chineseRegex) !== null) {
        newLength += 2;
      } else {
        newLength++;
      }
      if (newLength > len) {
        break;
      }
      newStr += singleChar;
    }

    if (hasDot && strLength > len) {
      newStr += '...';
    }
    return newStr;
  },
  /*
   * 转换 obj 为 url params参数
   * @param obj 传入字符串
   * @returns {String}
   */
  objToParams (obj) {
    let str = "";
    for (let key in obj) {
      if (str !== "") {
        str += "&";
      }
      str += key + "=" + encodeURIComponent(obj[key]);
    }
    return str;
  },
  /*
   * 转换 url params参数为obj
   * @param str 传入url参数字符串
   * @returns {Object}
   */
  paramsToObj (str) {
    let obj = {};
    try {
      obj = JSON.parse('{"' + decodeURI(str).replace(/"/g, '\\"').replace(/&/g, '","').replace(/=/g, '":"') + '"}')
    } catch (e) {
      console.log(e);
    }
    return obj;
  },
  animation: {
    /**
     * 返回定义页面转场动画起初的位置
     * @param ref
     * @param transform 运动类型
     * @param status
     * @param callback 回调函数
     */
    pageTransitionAnimation (ref, transform, status, callback) {
      const animation = weex.requireModule('animation');
      animation.transition(ref, {
        styles: {
          transform: transform
        },
        duration: status ? 250 : 300, // ms
        timingFunction: status ? 'ease-in' : 'ease-out',
        delay: 0 // ms
      }, function () {
        callback && callback();
      });
    }
  },
  uiStyle: {
    /**
     * 返回定义页面转场动画起初的位置
     * @param animationType 页面转场动画的类型 push，model
     * @param size 分割数组的长度
     * @returns {}
     */
    pageTransitionAnimationStyle (animationType) {
      if (animationType === 'push') {
        return {
          left: '750px',
          top: '0px',
          height: (weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750) + 'px'
        }
      } else if (animationType === 'model') {
        return {
          top: (weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750) + 'px',
          left: '0px',
          height: (weex.config.env.deviceHeight / weex.config.env.deviceWidth * 750) + 'px'
        }
      }
      return {}
    }
  }
};

/* harmony default export */ __webpack_exports__["default"] = (Utils);


/***/ }),

/***/ 12:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var GETERRO = exports.GETERRO = '信息获取错误';
var DATEERRO = exports.DATEERRO = '数据错误';
var NETERRO = exports.NETERRO = '似乎已断开与互联网的连接';
var REFRASH = exports.REFRASH = '释放刷新';
var LOADMORE = exports.LOADMORE = ''; //释放加载
var BKDATANULL = exports.BKDATANULL = '板块数据为空';
var HDDATANULL = exports.HDDATANULL = '活动数据为空';
//export const UID = '30257731145872'
var UID = exports.UID = '';
var FROMACTIVE = exports.FROMACTIVE = '1';
var FROMOFFICIAL = exports.FROMOFFICIAL = '2';

var DISPATC_TIME = exports.DISPATC_TIME = 300;

/***/ }),

/***/ 139:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#f5f5f5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\"",
    "display": "flex",
    "flexDirection": "column",
    "flex": 1
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "scroller": {
    "flex": 1,
    "display": "flex",
    "flexDirection": "column",
    "backgroundColor": "#f5f5f5"
  },
  "topView": {
    "flex": 1
  },
  "addressBg": {
    "backgroundColor": "#ffffff"
  },
  "addressTop": {
    "backgroundColor": "#f5f5f5",
    "height": 20
  },
  "selectCarType": {
    "height": 110,
    "backgroundColor": "#ffffff",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "selectCarTypeNext": {
    "marginLeft": 20,
    "height": 24,
    "width": 14,
    "marginRight": 30
  },
  "selectCarTypeImage": {
    "marginLeft": 30,
    "height": 28,
    "width": 28
  },
  "selectCarTypeTimeKey": {
    "marginLeft": 20,
    "color": "#333333",
    "fontSize": 30,
    "flex": 1
  },
  "selectCarValue": {
    "color": "#E6454A",
    "fontSize": 30
  },
  "selectPlaceholder": {
    "color": "#999999",
    "fontSize": 30
  },
  "selectCarTypeTimeValue": {
    "color": "#E6454A",
    "fontSize": 30,
    "paddingRight": 30
  },
  "selectCarTypeLine": {
    "marginLeft": 80,
    "backgroundColor": "#ebebeb",
    "height": 1
  },
  "selectTime": {
    "height": 110,
    "backgroundColor": "#ffffff",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "selectTimeImage": {
    "marginLeft": 30,
    "height": 28,
    "width": 28
  },
  "selectTimeKey": {
    "marginLeft": 20,
    "color": "#333333",
    "fontSize": 30,
    "flex": 1
  },
  "selectTimeValue": {
    "color": "#E6454A",
    "fontSize": 30,
    "paddingRight": 30
  },
  "selectTimeLine": {
    "marginLeft": 80,
    "backgroundColor": "#ebebeb",
    "height": 1
  },
  "selectLocation": {
    "height": 110,
    "backgroundColor": "#ffffff",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "position": "relative"
  },
  "selectLocationTipImage": {
    "position": "absolute",
    "right": 25,
    "top": 5,
    "width": 419,
    "height": 100
  },
  "selectLocationTipImageText": {
    "position": "absolute",
    "height": 80,
    "lineHeight": 80,
    "width": 290,
    "color": "#ffffff",
    "right": 110,
    "top": 13,
    "fontSize": 24,
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "colseButton": {
    "width": 80,
    "height": 80,
    "position": "absolute",
    "right": 30,
    "top": 13
  },
  "selectLocationImage": {
    "marginLeft": 35,
    "height": 18,
    "width": 18
  },
  "selectLocationKey": {
    "marginRight": 30,
    "marginLeft": 24,
    "color": "#333333",
    "fontSize": 30,
    "flex": 1,
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "selectLocationKeyPlaceholder": {
    "marginLeft": 24,
    "color": "#999999",
    "fontSize": 30,
    "flex": 1,
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "selectLocationValue": {
    "color": "#E6454A",
    "fontSize": 30,
    "paddingRight": 30,
    "width": 100,
    "height": 110,
    "flexDirection": "row",
    "alignItems": "center",
    "display": "flex"
  },
  "selectLocationLine": {
    "marginLeft": 0,
    "backgroundColor": "#ebebeb",
    "width": 1,
    "height": 50
  },
  "selectLocationLocationImage": {
    "marginLeft": 30,
    "height": 40,
    "width": 40
  },
  "write": {
    "height": 110,
    "backgroundColor": "#ffffff",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "writeImage": {
    "marginLeft": 30,
    "height": 28,
    "width": 28
  },
  "writeKey": {
    "marginLeft": 20,
    "color": "#333333",
    "fontSize": 30,
    "height": 80,
    "flex": 1
  },
  "writeKeyPlaceholder": {
    "marginLeft": 20,
    "color": "#999999",
    "fontSize": 30,
    "flex": 1
  },
  "baoxian": {
    "height": 72,
    "backgroundColor": "#FFF8D8",
    "color": "#8C7054",
    "fontSize": 26,
    "textAlign": "center",
    "lineHeight": 72
  },
  "safeArea": {
    "height": 68,
    "backgroundColor": "#ffffff"
  }
}

/***/ }),

/***/ 140:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#F5F5F5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\""
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "driverInfo": {
    "backgroundColor": "#ffffff",
    "height": 180,
    "display": "flex",
    "alignItems": "center",
    "flexDirection": "row"
  },
  "view": {
    "marginLeft": 30,
    "borderRadius": 60,
    "overflow": "hidden"
  },
  "headImage": {
    "height": 120,
    "width": 120,
    "position": "relative",
    "borderRadius": 60,
    "overflow": "hidden"
  },
  "authImage": {
    "position": "absolute",
    "left": 90,
    "bottom": 27,
    "width": 64,
    "height": 36
  },
  "info": {
    "backgroundColor": "#ffffff",
    "marginLeft": 0,
    "width": 600,
    "display": "flex",
    "flexDirection": "column",
    "justifyContent": "center"
  },
  "phoneCar": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "phone": {
    "color": "#333333",
    "fontSize": 30,
    "marginLeft": 25
  },
  "carType": {
    "color": "#666666",
    "fontSize": 24,
    "marginLeft": 20
  },
  "carNumber": {
    "color": "#666666",
    "fontSize": 24,
    "marginTop": 12,
    "marginLeft": 25
  },
  "location": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "backgroundColor": "#ffffff",
    "marginTop": 12
  },
  "locationImage": {
    "marginLeft": 25,
    "width": 18,
    "height": 24
  },
  "locationDis": {
    "color": "#666666",
    "fontSize": 24,
    "marginLeft": 10,
    "backgroundColor": "#ffffff"
  }
}

/***/ }),

/***/ 152:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#F5F5F5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\""
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "broadcaTip": {
    "backgroundColor": "#ffffff",
    "height": 100,
    "display": "flex",
    "alignItems": "center",
    "flexDirection": "row"
  },
  "broadcaImage": {
    "marginLeft": 30,
    "height": 32,
    "width": 30
  },
  "title": {
    "color": "#333333",
    "fontSize": 28,
    "left": 20
  }
}

/***/ }),

/***/ 155:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#F5F5F5",
    "fontFamily": "\"PingFangSC-Light\", \"Helvetica Neue\", Helvetica, Roboto, \"Droid Sans Fallback\", \"Microsoft YaHei\", sans-serif, \"HYQiHei-EZS\""
  },
  "flold-line": {
    "overflow": "hidden",
    "textOverflow": "ellipsis",
    "whiteSpace": "nowrap"
  },
  "dian": {
    "backgroundColor": "#E6454A",
    "borderRadius": 12,
    "width": 12,
    "height": 12,
    "marginRight": 6
  },
  "dian-righ": {
    "marginRight": 0,
    "marginLeft": 6
  },
  "price": {
    "marginTop": 20,
    "backgroundColor": "#ffffff",
    "height": 350
  },
  "estimate": {
    "height": 118,
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "write": {
    "color": "#999999",
    "fontSize": 28
  },
  "yuji": {
    "color": "#333333",
    "fontSize": 28,
    "paddingTop": 22
  },
  "border": {
    "marginLeft": 20,
    "width": 260,
    "height": 90,
    "borderColor": "#d6d6d6",
    "borderWidth": 1,
    "borderStyle": "solid",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "priceMark": {
    "color": "#333333",
    "fontSize": 28,
    "paddingTop": 28,
    "width": 57,
    "textAlign": "center"
  },
  "vline": {
    "width": 1,
    "height": 42,
    "marginLeft": 0,
    "backgroundColor": "#d6d6d6"
  },
  "moneyInput": {
    "color": "#333333",
    "fontSize": 60,
    "height": 84,
    "width": 192,
    "marginLeft": 10
  },
  "moneyScan": {
    "marginLeft": 12,
    "color": "#333333",
    "fontSize": 60,
    "height": 90,
    "lineHeight": 90
  },
  "hline": {
    "height": 1,
    "backgroundColor": "#ebebeb",
    "marginLeft": 20,
    "marginRight": 20
  },
  "referView": {
    "height": 107,
    "display": "flex",
    "flexDirection": "column",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "referViewText": {
    "color": "#333333",
    "fontSize": 24
  },
  "referViewDes": {
    "color": "#999999",
    "fontSize": 24
  },
  "protocol": {
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center",
    "height": 48
  },
  "selectConfirm": {
    "width": 50,
    "height": 40,
    "justifyContent": "center",
    "alignItems": "center"
  },
  "protocolImage": {
    "width": 28,
    "height": 28
  },
  "protocolConfirm": {
    "marginLeft": 1,
    "color": "#999999",
    "fontSize": 24
  },
  "protocolProtocol": {
    "color": "#E6454A",
    "fontSize": 24
  },
  "makeOrder": {
    "marginLeft": 20,
    "marginRight": 20,
    "height": 100,
    "borderRadius": 8,
    "backgroundColor": "#E6454A",
    "lineHeight": 100,
    "textAlign": "center",
    "color": "#ffffff",
    "fontSize": 34
  },
  "safeArea": {
    "height": 68
  }
}

/***/ }),

/***/ 170:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["bg"]
  }, [_c('Nav', {
    attrs: {
      "showBack": true,
      "showLine": false,
      "title": _vm.title
    },
    on: {
      "onBack": _vm.handleBack
    }
  }), _c('scroller', {
    staticClass: ["scroller"],
    attrs: {
      "scrollable": "false"
    }
  }, [_c('div', {
    style: _vm.smallScrollerHeight
  }, [_c('scroller', {
    staticClass: ["topView"],
    attrs: {
      "scrollable": "true",
      "alwaysScrollableVertical": "true"
    }
  }, [(_vm.driverInfo) ? _c('MakeOrderDriverInfo', {
    attrs: {
      "aa": _vm.driverInfo
    }
  }) : _c('MakeOrderTip'), _c('div', {
    staticClass: ["addressTop"]
  }), _c('div', {
    staticClass: ["addressBg"]
  }, [(!_vm.driverInfo) ? _c('div', {
    staticClass: ["selectCarType"],
    on: {
      "click": function($event) {
        _vm.selectCarTypeClick()
      }
    }
  }, [_c('image', {
    staticClass: ["selectCarTypeImage"],
    attrs: {
      "src": "http://syWeex/weex_makeorder_select_cartype"
    }
  }), _c('text', {
    staticClass: ["selectCarTypeTimeKey"]
  }, [_vm._v("选择车型")]), (_vm.carList.length) ? _c('text', {
    staticClass: ["selectCarValue"]
  }, [_vm._v(_vm._s(_vm.carType.carTypeName))]) : _c('text', {
    staticClass: ["selectPlaceholder"]
  }, [_vm._v("请选择车型")]), _c('image', {
    staticClass: ["selectCarTypeNext"],
    attrs: {
      "src": "http://syWeex/weex_makeorder_next"
    }
  })]) : _vm._e(), _c('div', {
    staticClass: ["selectCarTypeLine"]
  }), _vm._m(0), _c('div', {
    staticClass: ["selectTimeLine"]
  }), _c('div', {
    staticClass: ["selectLocation"],
    on: {
      "click": function($event) {
        _vm.selectStartLocation()
      }
    }
  }, [_c('image', {
    staticClass: ["selectLocationImage"],
    attrs: {
      "src": "http://syWeex/weex_makeorder_location_start"
    }
  }), (_vm.startLocation.name) ? _c('text', {
    staticClass: ["selectLocationKey"]
  }, [_vm._v(_vm._s(_vm.startLocation.address.length > 0 ? _vm.startLocation.name + "(" + _vm.startLocation.address + ")" : _vm.startLocation.name))]) : _c('text', {
    staticClass: ["selectLocationKeyPlaceholder"]
  }, [_vm._v("请输入起始地")])]), _c('div', {
    staticClass: ["selectTimeLine"]
  }), _c('div', {
    staticClass: ["selectLocation"],
    on: {
      "click": function($event) {
        _vm.selectLocationEnd()
      }
    }
  }, [_c('image', {
    staticClass: ["selectLocationImage"],
    attrs: {
      "src": "http://syWeex/weex_makeorder_location_end"
    }
  }), (_vm.endLocation.name) ? _c('text', {
    staticClass: ["selectLocationKey"]
  }, [_vm._v(_vm._s(_vm.endLocation.address.length > 0 ? _vm.endLocation.name + "(" + _vm.endLocation.address + ")" : _vm.endLocation.name))]) : _c('text', {
    staticClass: ["selectLocationKeyPlaceholder"]
  }, [_vm._v("请输入目的地")]), (_vm.showLocationTipImage) ? _c('image', {
    staticClass: ["selectLocationTipImage"],
    attrs: {
      "src": "http://syWeex/weex_makeorder_tip_image"
    }
  }) : _vm._e(), (_vm.showLocationTipImage) ? _c('text', {
    staticClass: ["selectLocationTipImageText"],
    on: {
      "click": function($event) {
        _vm.selectLastLocation()
      }
    }
  }, [_vm._v(_vm._s(_vm.lastEndLocation.name + "(" + _vm.lastEndLocation.address + ")"))]) : _vm._e(), (_vm.showLocationTipImage) ? _c('div', {
    staticClass: ["colseButton"],
    on: {
      "click": function($event) {
        _vm.colseLocationTipImage()
      }
    }
  }) : _vm._e()]), _c('div', {
    staticClass: ["selectTimeLine"]
  }), _c('div', {
    staticClass: ["write"]
  }, [_c('image', {
    staticClass: ["writeImage"],
    attrs: {
      "src": "http://syWeex/weex_makeorder_write"
    }
  }), _c('input', {
    staticClass: ["writeKey"],
    attrs: {
      "maxlength": _vm.maxLength,
      "type": "text",
      "placeholder": "给司机捎句话（备注选填）",
      "value": (_vm.write)
    },
    on: {
      "focus": _vm.focus,
      "input": function($event) {
        _vm.write = $event.target.attr.value
      }
    }
  })]), _c('text', {
    staticClass: ["baoxian"]
  }, [_vm._v("本单由快狗打车为您担保，免费赠送货运险")])])], 1), _c('MakeOrderPrice', {
    attrs: {
      "canChangePrice": _vm.canChangePrice(),
      "estimatePrice": _vm.estimatePrice,
      "cankaoPrice": _vm.estimatePrice
    },
    on: {
      "makeOrderClick": _vm.makeOrderClick
    }
  }), (_vm.isIphoneX) ? _c('div', {
    staticClass: ["safeArea"]
  }) : _vm._e()], 1)])], 1)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["selectTime"]
  }, [_c('image', {
    staticClass: ["selectTimeImage"],
    attrs: {
      "src": "http://syWeex/weex_makeorder_time"
    }
  }), _c('text', {
    staticClass: ["selectTimeKey"]
  }, [_vm._v("现在用车")])])
}]}

/***/ }),

/***/ 171:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["driverInfo"]
  }, [_c('div', {
    staticClass: ["view"]
  }, [_c('image', {
    staticClass: ["headImage"],
    attrs: {
      "placeholder": "http://syWeex/weex_nearbycars_photo",
      "src": _vm.aa.headImage
    }
  })]), (_vm.aa.level === 'D' || _vm.aa.level === 'E') ? _c('image', {
    staticClass: ["authImage"],
    attrs: {
      "src": "http://syWeex/weex_makeorder_auth"
    }
  }) : _vm._e(), _c('div', {
    staticClass: ["info"]
  }, [_c('div', {
    staticClass: ["phoneCar"]
  }, [_c('text', {
    staticClass: ["phone"]
  }, [_vm._v(_vm._s(_vm.aa.realName))]), _c('text', {
    staticClass: ["carType"]
  }, [_vm._v(_vm._s(_vm.aa.carTypeName))])]), _c('text', {
    staticClass: ["carNumber"]
  }, [_vm._v(_vm._s(_vm.aa.carNumber))]), (_vm.aa.distance) ? _c('div', {
    staticClass: ["location"]
  }, [_c('image', {
    staticClass: ["locationImage"],
    attrs: {
      "src": "http://syWeex/weex_makeorder_location"
    }
  }), _c('text', {
    staticClass: ["locationDis"]
  }, [_vm._v("距您" + _vm._s(_vm.aa.distance < 1000 ? parseInt(_vm.aa.distance) + '米' : parseFloat(_vm.aa.distance / 1000).toFixed(1) + '公里'))])]) : _vm._e()])])
},staticRenderFns: []}

/***/ }),

/***/ 183:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _vm._m(0)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["broadcaTip"]
  }, [_c('image', {
    staticClass: ["broadcaImage"],
    attrs: {
      "src": "http://syWeex/weex_makeorder_broadcas"
    }
  }), _c('text', {
    staticClass: ["title"]
  }, [_vm._v("即将为您通知车队中已认证的司机")])])
}]}

/***/ }),

/***/ 186:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["price"]
  }, [(_vm.canChangePrice) ? _c('div', {
    staticClass: ["estimate"]
  }, [_c('text', {
    staticClass: ["write"]
  }, [_vm._v("请输入订单价格")]), _c('div', {
    staticClass: ["border"]
  }, [_c('text', {
    staticClass: ["priceMark"]
  }, [_vm._v("¥")]), _c('div', {
    staticClass: ["vline"]
  }), _c('input', {
    staticClass: ["moneyInput"],
    attrs: {
      "type": "number",
      "placeholder": "",
      "value": (_vm.estimatePrice)
    },
    on: {
      "input": function($event) {
        _vm.estimatePrice = $event.target.attr.value
      }
    }
  })])]) : _c('div', {
    staticClass: ["estimate"]
  }, [_c('text', {
    staticClass: ["yuji"]
  }, [_vm._v("预计 ¥")]), _c('text', {
    staticClass: ["moneyScan"]
  }, [_vm._v(_vm._s(_vm.estimatePrice))])]), _c('div', {
    staticClass: ["hline"]
  }), _c('div', {
    staticClass: ["referView"]
  }, [(_vm.canChangePrice) ? _c('text', {
    staticClass: ["referViewText"]
  }, [_vm._v("参考价：" + _vm._s(_vm.cankaoPrice ? "¥" + _vm.cankaoPrice + "元" : "暂无"))]) : _c('text', {
    staticClass: ["referViewDes"]
  }, [_vm._v("实际费用可能因实际行驶里程\\等候时间等因素而异")]), _c('div', {
    staticClass: ["protocol"]
  }, [_c('div', {
    staticClass: ["selectConfirm"],
    on: {
      "click": function($event) {
        _vm.selectClick()
      }
    }
  }, [_c('image', {
    staticClass: ["protocolImage"],
    attrs: {
      "src": _vm.selectImage()
    }
  })]), _c('text', {
    staticClass: ["protocolConfirm"]
  }, [_vm._v("我已阅读并同意")]), _c('text', {
    staticClass: ["protocolProtocol"],
    on: {
      "click": function($event) {
        _vm.openProtocol()
      }
    }
  }, [_vm._v("《速运通用户协议》")])])]), _c('text', {
    staticClass: ["makeOrder"],
    on: {
      "click": function($event) {
        _vm.clickOrder()
      }
    }
  }, [_vm._v("立即下单")])])
},staticRenderFns: []}

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _module$exports;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 接口配置
 */
module.exports = (_module$exports = {
    //getAdvertList: '/api/suyun/driver/advertising/listbycity', // 广告Banner查询接口
    getAdvertList: '/api/driver/annment/advertising/listbycity', // 广告Banner查询接口
    getTypelist: '/api/announcement/typelist', // 获取系统公告类别列表
    getAnnouncementList: '/api/announcement/listbytype', // 获取二级页面列表
    getUnreadcount: '/api/announcement/unreadcount', // 获取司机未读消息数量
    // getRead: '/api/announcement/read', // 读取公告
    getRead: '/api/driver/annment/updatereadstatus', // 读取公告
    getAddsendcount: '/api/announcement/addsendcount', // 修改公告送达数量
    getUnreadrecent: '/api/announcement/unreadrecent', // 根据参数获取未读的最新的一条公告或者未读的24小时之内的最新的一条公告
    getHomeInfo: '/api/announcement/home', // 获得首页所有信息
    getHomeInfoNew: '/api/driver/annment/gethomeannment', // 获得首页所有信息 公告升级
    getmoreannmentlist: '/api/driver/annment/getmoreannmentlist', // 获得更多信息 公告升级
    getHistoryOrderList: '/api/suyun/driver/graborderlist', // 抢单
    getAssignHistoryOrderList: '/api/suyun/driver/assignedorderlist', // 派单
    getMyMenuList: '/driverCenter/kuaigou/my/menuList', //我的页面列表
    getMyInfo: '/api/suyun/driver/getdriverinfo', //我的页面列表
    getNearbyCarsList: '/wxuser/nearbydriver/list', // 附近车辆
    getCarTypeList: '/wxuser/favoritedriver/availablecartypelist', //我收藏的车库车型列表
    getEstimatePrice: '/wxuser/order/price/estimate', //预估价格
    getOrderStatus: '/wxuser/order/detail', //订单状态
    getFavoriteDriversList: '/wxuser/favoritedriver/list' }, _defineProperty(_module$exports, 'getCarTypeList', '/wxuser/favoritedriver/availablecartypelist'), _defineProperty(_module$exports, 'getEstimatePrice', '/wxuser/order/price/estimate'), _defineProperty(_module$exports, 'getCreatebroadcastorder', '/wxuser/order/createbroadcastorder'), _defineProperty(_module$exports, 'getCreaterOrder', '/wxuser/order/createrOrder'), _defineProperty(_module$exports, 'getBroadcastInprogress', '/wxuser/order/broadcast/inprogress'), _defineProperty(_module$exports, 'getBroadcastChoosedriverlist', '/wxuser/order/broadcast/choosedriverlist'), _defineProperty(_module$exports, 'getChoosedriver', '/wxuser/user/choosedriver'), _defineProperty(_module$exports, 'getUsercancel', '/wxuser/order/usercancel'), _defineProperty(_module$exports, 'getMonthList', '/wxuser/order/monthlist'), _defineProperty(_module$exports, 'getFictitiousphone', '/wxuser/fictitiousphone/get'), _defineProperty(_module$exports, 'addFavoritedriver', '/wxuser/favoritedriver/add'), _defineProperty(_module$exports, 'addInvitedriver', '/wxuser/favoritedriver/invitedriver'), _defineProperty(_module$exports, 'getWxShare', '/wxuser/config/wxshare'), _defineProperty(_module$exports, 'getDriverinfo', '/wxuser/driver/getdriverinfo'), _defineProperty(_module$exports, 'delFavoriteDriver', '/wxuser/favoritedriver/remove'), _defineProperty(_module$exports, 'getLocationInfo', '/wxuser/localInfo/locate'), _defineProperty(_module$exports, 'publishNeedsCreate', '/wxuser/villages/publish/create'), _defineProperty(_module$exports, 'publishlabellist', '/wxuser/villages/publishlabellist'), _defineProperty(_module$exports, 'neardriverlist', '/wxuser/villages/neardriverlist'), _defineProperty(_module$exports, 'getLocationInfo', '/wxuser/localInfo/locate'), _defineProperty(_module$exports, 'getMyPublishlist', '/wxuser/villages/publish/mypublishlist'), _defineProperty(_module$exports, 'deleteMyPublish', '/wxuser/villages/publish/delete'), _defineProperty(_module$exports, 'getCarList', '/wxuser/villages/cartypelist'), _defineProperty(_module$exports, 'getPublishLabelList', '/wxuser/villages/publishlabellist'), _defineProperty(_module$exports, 'getDriverServiceLabelList', '/wxuser/villages/getdriverservicelabel'), _defineProperty(_module$exports, 'getMessageList', '/wxuser/villages/publish/publishlist'), _defineProperty(_module$exports, 'lookCarGetDriverInfo', '/wxuser/villages/getdriverinfo'), _module$exports);

// module.exports = {
//     dominList:[
//         '',
//         'https://suyun42-driver.djtest.cn'
//     ]
// }


// "Content-Type": "application/x-www-form-urlencoded",
// "dusid": "902097351404036096",
// "uid": "211865653235757",
// "daojiasuyuntoken": "902097351404036096",
// "c": "2222",
// "manufacturer": "Apple",
// "imei": "C9FF2F62-B66A-492A-8425-B824A67B4D4D"

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(5)
)

/* script */
__vue_exports__ = __webpack_require__(4)

/* template */
var __vue_template__ = __webpack_require__(6)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-741c9dbc"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var navigator = weex.requireModule('navigator');
// const webview = weex.requireModule('webview')
var modal = weex.requireModule('ModalModule');
exports.default = {
    data: function data() {
        return {
            height: {
                height: ''
            },
            height1: {
                height: ''
            },
            aaaa: true,
            bbb: 1,
            cccc: 'ssss'
        };
    },

    props: {
        showBack: {
            type: Boolean,
            default: false
        },
        showLine: {
            type: Boolean,
            default: false
        },
        onBack: {
            type: Function,
            default: function _default() {},
            required: false
        },
        title: {
            type: String,
            default: ''
        },
        showRightBtn: {
            type: Boolean,
            default: false
        },
        rightBtnText: {
            type: String,
            default: ''
        },
        rightBtnClick: {
            type: Function,
            default: function _default() {},
            required: false
        }
    },
    computed: {
        isiOS: function isiOS() {
            return weex.config.env['platform'] === 'iOS';
        }
    },
    methods: {
        handleBack: function handleBack(e) {
            this.back();
            this.$emit('onBack', { title: this.title });
            var back = new BroadcastChannel('back');
            back.postMessage({ title: this.title });
        },

        back: function back() {
            //modal.toast({ message: 'back',duration:2 })
            if (this.$router) {
                if (this.$router.history.index === 0) {
                    navigator.pop();
                } else {
                    this.$router.back();
                }
            } else {
                navigator.pop();
            }
        }

    },
    created: function created() {
        var screenWidth = weex.config.env['deviceWidth'] ? weex.config.env['deviceWidth'] : 0;
        var scale = weex.config.env['scale'] ? weex.config.env['scale'] : 0;
        this.height.height = weex.config.env['stateBarHeight'] * (375 / (screenWidth / scale));
        this.height1.height = 88 * (375 / (screenWidth / scale));
    }
};

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = {
  "bg": {
    "backgroundColor": "#ffffff"
  },
  "nav": {
    "width": 750,
    "height": 88,
    "flexDirection": "row",
    "justifyContent": "center",
    "color": "#525a66"
  },
  "nav-ios": {
    "backgroundColor": "#ffffff",
    "width": 750,
    "height": 40
  },
  "text-row": {
    "flex": 1
  },
  "line": {
    "position": "absolute",
    "height": 1,
    "left": 0,
    "right": 0,
    "bottom": 0,
    "backgroundColor": "#ff0000"
  },
  "text-row-back": {
    "position": "absolute",
    "left": 0,
    "top": 0,
    "height": 88,
    "width": 180
  },
  "text-row-title": {
    "height": 88,
    "lineHeight": 88,
    "textAlign": "center",
    "fontSize": 36
  },
  "text-row-btn": {
    "position": "absolute",
    "height": 88,
    "lineHeight": 88,
    "right": 20,
    "top": 0
  },
  "text-row-arrow": {
    "margin": 30,
    "position": "absolute",
    "height": 26,
    "width": 26,
    "borderTopStyle": "solid",
    "borderTopWidth": 4,
    "borderTopColor": "#525a66",
    "borderLeftStyle": "solid",
    "borderLeftWidth": 4,
    "borderLeftColor": "#525a66",
    "transform": "rotate(-45deg)"
  },
  "text-row-back-title": {
    "position": "absolute",
    "height": 88,
    "lineHeight": 88,
    "left": 40,
    "top": 0,
    "fontSize": 32
  },
  "text-row-right": {
    "position": "absolute",
    "height": 88,
    "lineHeight": 88,
    "textAlign": "center",
    "right": 40,
    "top": 0,
    "fontSize": 28
  }
}

/***/ }),

/***/ 58:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(139)
)

/* script */
__vue_exports__ = __webpack_require__(104)

/* template */
var __vue_template__ = __webpack_require__(170)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-17a0b00e"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["bg"]
  }, [_c('div', {
    class: [_vm.isiOS ? "nav-ios" : ""],
    style: _vm.height
  }), _c('div', {
    staticClass: ["nav"],
    style: _vm.height1
  }, [_c('text', {
    staticClass: ["text-row", "text-row-title"]
  }, [_vm._v(_vm._s(_vm.title))]), _c('text', {
    staticClass: ["text-row", "text-row-btn"]
  }), (_vm.showBack) ? _c('div', {
    staticClass: ["text-row", "text-row-back"],
    on: {
      "click": _vm.handleBack
    }
  }, [_c('span', {
    staticClass: ["text-row-arrow"]
  })], 1) : _vm._e(), (_vm.showLine) ? _c('div', {
    staticClass: ["line"]
  }) : _vm._e(), (_vm.showRightBtn) ? _c('text', {
    staticClass: ["text-row", "text-row-right"],
    on: {
      "click": _vm.rightBtnClick
    }
  }, [_vm._v(_vm._s(_vm.rightBtnText))]) : _vm._e()])])
},staticRenderFns: []}

/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var has = Object.prototype.hasOwnProperty
  , undef;

/**
 * Decode a URI encoded string.
 *
 * @param {String} input The URI encoded string.
 * @returns {String|Null} The decoded string.
 * @api private
 */
function decode(input) {
  try {
    return decodeURIComponent(input.replace(/\+/g, ' '));
  } catch (e) {
    return null;
  }
}

/**
 * Attempts to encode a given input.
 *
 * @param {String} input The string that needs to be encoded.
 * @returns {String|Null} The encoded string.
 * @api private
 */
function encode(input) {
  try {
    return encodeURIComponent(input);
  } catch (e) {
    return null;
  }
}

/**
 * Simple query string parser.
 *
 * @param {String} query The query string that needs to be parsed.
 * @returns {Object}
 * @api public
 */
function querystring(query) {
  var parser = /([^=?&]+)=?([^&]*)/g
    , result = {}
    , part;

  while (part = parser.exec(query)) {
    var key = decode(part[1])
      , value = decode(part[2]);

    //
    // Prevent overriding of existing properties. This ensures that build-in
    // methods like `toString` or __proto__ are not overriden by malicious
    // querystrings.
    //
    // In the case if failed decoding, we want to omit the key/value pairs
    // from the result.
    //
    if (key === null || value === null || key in result) continue;
    result[key] = value;
  }

  return result;
}

/**
 * Transform a query string to an object.
 *
 * @param {Object} obj Object that should be transformed.
 * @param {String} prefix Optional prefix.
 * @returns {String}
 * @api public
 */
function querystringify(obj, prefix) {
  prefix = prefix || '';

  var pairs = []
    , value
    , key;

  //
  // Optionally prefix with a '?' if needed
  //
  if ('string' !== typeof prefix) prefix = '?';

  for (key in obj) {
    if (has.call(obj, key)) {
      value = obj[key];

      //
      // Edge cases where we actually want to encode the value to an empty
      // string instead of the stringified value.
      //
      if (!value && (value === null || value === undef || isNaN(value))) {
        value = '';
      }

      key = encodeURIComponent(key);
      value = encodeURIComponent(value);

      //
      // If we failed to encode the strings, we should bail out as we don't
      // want to add invalid strings to the query.
      //
      if (key === null || value === null) continue;
      pairs.push(key +'='+ value);
    }
  }

  return pairs.length ? prefix + pairs.join('&') : '';
}

//
// Expose the module.
//
exports.stringify = querystringify;
exports.parse = querystring;


/***/ }),

/***/ 76:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _makeOrder = __webpack_require__(58);

var _makeOrder2 = _interopRequireDefault(_makeOrder);

var _API = __webpack_require__(1);

var _API2 = _interopRequireDefault(_API);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import store from './src/store'
Vue.mixin(_API2.default);
// import router from './src/router/index.js'

new Vue(Vue.util.extend({ el: '#root' }, _makeOrder2.default));

//App.router = router
// export default new Vue(App)
// router.push('/makeOrder')

//

/***/ }),

/***/ 8:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Check if we're required to add a port number.
 *
 * @see https://url.spec.whatwg.org/#default-port
 * @param {Number|String} port Port number we need to check
 * @param {String} protocol Protocol we need to check against.
 * @returns {Boolean} Is it a default port for the given protocol
 * @api private
 */
module.exports = function required(port, protocol) {
  protocol = protocol.split(':')[0];
  port = +port;

  if (!port) return false;

  switch (protocol) {
    case 'http':
    case 'ws':
    return port !== 80;

    case 'https':
    case 'wss':
    return port !== 443;

    case 'ftp':
    return port !== 21;

    case 'gopher':
    return port !== 70;

    case 'file':
    return false;
  }

  return port !== 0;
};


/***/ }),

/***/ 83:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(140)
)

/* script */
__vue_exports__ = __webpack_require__(105)

/* template */
var __vue_template__ = __webpack_require__(171)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-1abd52a4"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 84:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(155)
)

/* script */
__vue_exports__ = __webpack_require__(106)

/* template */
var __vue_template__ = __webpack_require__(186)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-9b9698ea"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 85:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(152)
)

/* script */
__vue_exports__ = __webpack_require__(107)

/* template */
var __vue_template__ = __webpack_require__(183)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}

__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5807cc5d"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(global) {

var required = __webpack_require__(8)
  , qs = __webpack_require__(7)
  , slashes = /^[A-Za-z][A-Za-z0-9+-.]*:\/\//
  , protocolre = /^([a-z][a-z0-9.+-]*:)?(\/\/)?([\S\s]*)/i
  , whitespace = '[\\x09\\x0A\\x0B\\x0C\\x0D\\x20\\xA0\\u1680\\u180E\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200A\\u202F\\u205F\\u3000\\u2028\\u2029\\uFEFF]'
  , left = new RegExp('^'+ whitespace +'+');

/**
 * Trim a given string.
 *
 * @param {String} str String to trim.
 * @public
 */
function trimLeft(str) {
  return (str ? str : '').toString().replace(left, '');
}

/**
 * These are the parse rules for the URL parser, it informs the parser
 * about:
 *
 * 0. The char it Needs to parse, if it's a string it should be done using
 *    indexOf, RegExp using exec and NaN means set as current value.
 * 1. The property we should set when parsing this value.
 * 2. Indication if it's backwards or forward parsing, when set as number it's
 *    the value of extra chars that should be split off.
 * 3. Inherit from location if non existing in the parser.
 * 4. `toLowerCase` the resulting value.
 */
var rules = [
  ['#', 'hash'],                        // Extract from the back.
  ['?', 'query'],                       // Extract from the back.
  function sanitize(address) {          // Sanitize what is left of the address
    return address.replace('\\', '/');
  },
  ['/', 'pathname'],                    // Extract from the back.
  ['@', 'auth', 1],                     // Extract from the front.
  [NaN, 'host', undefined, 1, 1],       // Set left over value.
  [/:(\d+)$/, 'port', undefined, 1],    // RegExp the back.
  [NaN, 'hostname', undefined, 1, 1]    // Set left over.
];

/**
 * These properties should not be copied or inherited from. This is only needed
 * for all non blob URL's as a blob URL does not include a hash, only the
 * origin.
 *
 * @type {Object}
 * @private
 */
var ignore = { hash: 1, query: 1 };

/**
 * The location object differs when your code is loaded through a normal page,
 * Worker or through a worker using a blob. And with the blobble begins the
 * trouble as the location object will contain the URL of the blob, not the
 * location of the page where our code is loaded in. The actual origin is
 * encoded in the `pathname` so we can thankfully generate a good "default"
 * location from it so we can generate proper relative URL's again.
 *
 * @param {Object|String} loc Optional default location object.
 * @returns {Object} lolcation object.
 * @public
 */
function lolcation(loc) {
  var globalVar;

  if (typeof window !== 'undefined') globalVar = window;
  else if (typeof global !== 'undefined') globalVar = global;
  else if (typeof self !== 'undefined') globalVar = self;
  else globalVar = {};

  var location = globalVar.location || {};
  loc = loc || location;

  var finaldestination = {}
    , type = typeof loc
    , key;

  if ('blob:' === loc.protocol) {
    finaldestination = new Url(unescape(loc.pathname), {});
  } else if ('string' === type) {
    finaldestination = new Url(loc, {});
    for (key in ignore) delete finaldestination[key];
  } else if ('object' === type) {
    for (key in loc) {
      if (key in ignore) continue;
      finaldestination[key] = loc[key];
    }

    if (finaldestination.slashes === undefined) {
      finaldestination.slashes = slashes.test(loc.href);
    }
  }

  return finaldestination;
}

/**
 * @typedef ProtocolExtract
 * @type Object
 * @property {String} protocol Protocol matched in the URL, in lowercase.
 * @property {Boolean} slashes `true` if protocol is followed by "//", else `false`.
 * @property {String} rest Rest of the URL that is not part of the protocol.
 */

/**
 * Extract protocol information from a URL with/without double slash ("//").
 *
 * @param {String} address URL we want to extract from.
 * @return {ProtocolExtract} Extracted information.
 * @private
 */
function extractProtocol(address) {
  address = trimLeft(address);
  var match = protocolre.exec(address);

  return {
    protocol: match[1] ? match[1].toLowerCase() : '',
    slashes: !!match[2],
    rest: match[3]
  };
}

/**
 * Resolve a relative URL pathname against a base URL pathname.
 *
 * @param {String} relative Pathname of the relative URL.
 * @param {String} base Pathname of the base URL.
 * @return {String} Resolved pathname.
 * @private
 */
function resolve(relative, base) {
  if (relative === '') return base;

  var path = (base || '/').split('/').slice(0, -1).concat(relative.split('/'))
    , i = path.length
    , last = path[i - 1]
    , unshift = false
    , up = 0;

  while (i--) {
    if (path[i] === '.') {
      path.splice(i, 1);
    } else if (path[i] === '..') {
      path.splice(i, 1);
      up++;
    } else if (up) {
      if (i === 0) unshift = true;
      path.splice(i, 1);
      up--;
    }
  }

  if (unshift) path.unshift('');
  if (last === '.' || last === '..') path.push('');

  return path.join('/');
}

/**
 * The actual URL instance. Instead of returning an object we've opted-in to
 * create an actual constructor as it's much more memory efficient and
 * faster and it pleases my OCD.
 *
 * It is worth noting that we should not use `URL` as class name to prevent
 * clashes with the global URL instance that got introduced in browsers.
 *
 * @constructor
 * @param {String} address URL we want to parse.
 * @param {Object|String} [location] Location defaults for relative paths.
 * @param {Boolean|Function} [parser] Parser for the query string.
 * @private
 */
function Url(address, location, parser) {
  address = trimLeft(address);

  if (!(this instanceof Url)) {
    return new Url(address, location, parser);
  }

  var relative, extracted, parse, instruction, index, key
    , instructions = rules.slice()
    , type = typeof location
    , url = this
    , i = 0;

  //
  // The following if statements allows this module two have compatibility with
  // 2 different API:
  //
  // 1. Node.js's `url.parse` api which accepts a URL, boolean as arguments
  //    where the boolean indicates that the query string should also be parsed.
  //
  // 2. The `URL` interface of the browser which accepts a URL, object as
  //    arguments. The supplied object will be used as default values / fall-back
  //    for relative paths.
  //
  if ('object' !== type && 'string' !== type) {
    parser = location;
    location = null;
  }

  if (parser && 'function' !== typeof parser) parser = qs.parse;

  location = lolcation(location);

  //
  // Extract protocol information before running the instructions.
  //
  extracted = extractProtocol(address || '');
  relative = !extracted.protocol && !extracted.slashes;
  url.slashes = extracted.slashes || relative && location.slashes;
  url.protocol = extracted.protocol || location.protocol || '';
  address = extracted.rest;

  //
  // When the authority component is absent the URL starts with a path
  // component.
  //
  if (!extracted.slashes) instructions[3] = [/(.*)/, 'pathname'];

  for (; i < instructions.length; i++) {
    instruction = instructions[i];

    if (typeof instruction === 'function') {
      address = instruction(address);
      continue;
    }

    parse = instruction[0];
    key = instruction[1];

    if (parse !== parse) {
      url[key] = address;
    } else if ('string' === typeof parse) {
      if (~(index = address.indexOf(parse))) {
        if ('number' === typeof instruction[2]) {
          url[key] = address.slice(0, index);
          address = address.slice(index + instruction[2]);
        } else {
          url[key] = address.slice(index);
          address = address.slice(0, index);
        }
      }
    } else if ((index = parse.exec(address))) {
      url[key] = index[1];
      address = address.slice(0, index.index);
    }

    url[key] = url[key] || (
      relative && instruction[3] ? location[key] || '' : ''
    );

    //
    // Hostname, host and protocol should be lowercased so they can be used to
    // create a proper `origin`.
    //
    if (instruction[4]) url[key] = url[key].toLowerCase();
  }

  //
  // Also parse the supplied query string in to an object. If we're supplied
  // with a custom parser as function use that instead of the default build-in
  // parser.
  //
  if (parser) url.query = parser(url.query);

  //
  // If the URL is relative, resolve the pathname against the base URL.
  //
  if (
      relative
    && location.slashes
    && url.pathname.charAt(0) !== '/'
    && (url.pathname !== '' || location.pathname !== '')
  ) {
    url.pathname = resolve(url.pathname, location.pathname);
  }

  //
  // We should not add port numbers if they are already the default port number
  // for a given protocol. As the host also contains the port number we're going
  // override it with the hostname which contains no port number.
  //
  if (!required(url.port, url.protocol)) {
    url.host = url.hostname;
    url.port = '';
  }

  //
  // Parse down the `auth` for the username and password.
  //
  url.username = url.password = '';
  if (url.auth) {
    instruction = url.auth.split(':');
    url.username = instruction[0] || '';
    url.password = instruction[1] || '';
  }

  url.origin = url.protocol && url.host && url.protocol !== 'file:'
    ? url.protocol +'//'+ url.host
    : 'null';

  //
  // The href is just the compiled result.
  //
  url.href = url.toString();
}

/**
 * This is convenience method for changing properties in the URL instance to
 * insure that they all propagate correctly.
 *
 * @param {String} part          Property we need to adjust.
 * @param {Mixed} value          The newly assigned value.
 * @param {Boolean|Function} fn  When setting the query, it will be the function
 *                               used to parse the query.
 *                               When setting the protocol, double slash will be
 *                               removed from the final url if it is true.
 * @returns {URL} URL instance for chaining.
 * @public
 */
function set(part, value, fn) {
  var url = this;

  switch (part) {
    case 'query':
      if ('string' === typeof value && value.length) {
        value = (fn || qs.parse)(value);
      }

      url[part] = value;
      break;

    case 'port':
      url[part] = value;

      if (!required(value, url.protocol)) {
        url.host = url.hostname;
        url[part] = '';
      } else if (value) {
        url.host = url.hostname +':'+ value;
      }

      break;

    case 'hostname':
      url[part] = value;

      if (url.port) value += ':'+ url.port;
      url.host = value;
      break;

    case 'host':
      url[part] = value;

      if (/:\d+$/.test(value)) {
        value = value.split(':');
        url.port = value.pop();
        url.hostname = value.join(':');
      } else {
        url.hostname = value;
        url.port = '';
      }

      break;

    case 'protocol':
      url.protocol = value.toLowerCase();
      url.slashes = !fn;
      break;

    case 'pathname':
    case 'hash':
      if (value) {
        var char = part === 'pathname' ? '/' : '#';
        url[part] = value.charAt(0) !== char ? char + value : value;
      } else {
        url[part] = value;
      }
      break;

    default:
      url[part] = value;
  }

  for (var i = 0; i < rules.length; i++) {
    var ins = rules[i];

    if (ins[4]) url[ins[1]] = url[ins[1]].toLowerCase();
  }

  url.origin = url.protocol && url.host && url.protocol !== 'file:'
    ? url.protocol +'//'+ url.host
    : 'null';

  url.href = url.toString();

  return url;
}

/**
 * Transform the properties back in to a valid and full URL string.
 *
 * @param {Function} stringify Optional query stringify function.
 * @returns {String} Compiled version of the URL.
 * @public
 */
function toString(stringify) {
  if (!stringify || 'function' !== typeof stringify) stringify = qs.stringify;

  var query
    , url = this
    , protocol = url.protocol;

  if (protocol && protocol.charAt(protocol.length - 1) !== ':') protocol += ':';

  var result = protocol + (url.slashes ? '//' : '');

  if (url.username) {
    result += url.username;
    if (url.password) result += ':'+ url.password;
    result += '@';
  }

  result += url.host + url.pathname;

  query = 'object' === typeof url.query ? stringify(url.query) : url.query;
  if (query) result += '?' !== query.charAt(0) ? '?'+ query : query;

  if (url.hash) result += url.hash;

  return result;
}

Url.prototype = { set: set, toString: toString };

//
// Expose the URL parser and some additional properties that might be useful for
// others or testing.
//
Url.extractProtocol = extractProtocol;
Url.location = lolcation;
Url.trimLeft = trimLeft;
Url.qs = qs;

module.exports = Url;

/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(10)))

/***/ })

/******/ });